rhel: Add Red Hat network scripts integration.
[sliver-openvswitch.git] / rhel / etc_sysconfig_network-scripts_ifdown-ovs
diff --git a/rhel/etc_sysconfig_network-scripts_ifdown-ovs b/rhel/etc_sysconfig_network-scripts_ifdown-ovs
new file mode 100755 (executable)
index 0000000..3b5252d
--- /dev/null
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+# Copyright (c) 2011 Alexey I. Froloff.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+. /etc/init.d/functions
+
+cd /etc/sysconfig/network-scripts
+. ./network-functions
+
+[ -f ../network ] && . ../network
+
+CONFIG=${1}
+
+source_config
+
+. /etc/sysconfig/network
+
+OTHERSCRIPT="/etc/sysconfig/network-scripts/ifdown-${REAL_DEVICETYPE}"
+
+if [ ! -x ${OTHERSCRIPT} ]; then
+    OTHERSCRIPT="/etc/sysconfig/network-scripts/ifdown-eth"
+fi
+
+case "$TYPE" in
+       OVSBridge)
+               ${OTHERSCRIPT} ${CONFIG} $2
+               retval=$?
+               ovs-vsctl -- --if-exists del-br "$DEVICE"
+               ;;
+       OVSPort|OVSIntPort|OVSBond)
+               ${OTHERSCRIPT} ${CONFIG} $2
+               retval=$?
+               ovs-vsctl -- --if-exists del-port "$OVS_BRIDGE" "$DEVICE"
+               ;;
+       *)
+               echo $"Invalid OVS interface type $TYPE"
+               exit 1
+               ;;
+esac
+
+exit $retval